Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# RTPortableServer::POA Interface Reference

`#include <RTPortableServerC.h>`

Inheritance diagram for RTPortableServer::POA:

[legend]
List of all members.

## Public Types
typedef POA_ptr | _ptr_type
typedef POA_var | _var_type
## Public Member Functions
Object | create_reference_with_priority (in CORBA::RepositoryId intf, in RTCORBA::Priority priority) raises (WrongPolicy)
Object | create_reference_with_id_and_priority (in PortableServer::ObjectId oid, in CORBA::RepositoryId intf, in RTCORBA::Priority priority) raises (WrongPolicy)
PortableServer::ObjectId | activate_object_with_priority (in PortableServer::Servant p_servant, in RTCORBA::Priority priority) raises (ServantAlreadyActive, WrongPolicy)
void | activate_object_with_id_and_priority (in PortableServer::ObjectId oid, in PortableServer::Servant p_servant, in RTCORBA::Priority priority) raises ( ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy )
virtual CORBA::Object_ptr | create_reference_with_priority (const char *intf,::RTCORBA::Priority priority)=0 throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )
virtual CORBA::Object_ptr | create_reference_with_id_and_priority (const ::PortableServer::ObjectId &oid, const char *intf,::RTCORBA::Priority priority)=0 throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )
virtual ::PortableServer::ObjectId * | activate_object_with_priority (::PortableServer::Servant p_servant,::RTCORBA::Priority priority)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ServantAlreadyActive, ::PortableServer::POA::WrongPolicy )
virtual void | activate_object_with_id_and_priority (const ::PortableServer::ObjectId &oid,::PortableServer::Servant p_servant,::RTCORBA::Priority priority)=0 throw ( CORBA::SystemException, ::PortableServer::POA::ServantAlreadyActive, ::PortableServer::POA::ObjectAlreadyActive, ::PortableServer::POA::WrongPolicy )
virtual CORBA::Boolean | _is_a (const char *type_id)
virtual const char * | _interface_repository_id (void) const
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
## Static Public Member Functions
POA_ptr | _duplicate (POA_ptr obj)
void | _tao_release (POA_ptr obj)
POA_ptr | _narrow (CORBA::Object_ptr obj)
POA_ptr | _unchecked_narrow (CORBA::Object_ptr obj)
POA_ptr | _nil (void)
void | _tao_any_destructor (void *)
## Protected Member Functions
| POA (void)
virtual | ~POA (void)
## Private Member Functions
| POA (const POA &)
void | operator= (const POA &)

## Member Typedef Documentation

typedef POA_ptr RTPortableServer::POA::_ptr_type

typedef POA_var RTPortableServer::POA::_var_type

## Constructor & Destructor Documentation

RTPortableServer::POA::POA | ( | void |  | ) | `[protected]`

RTPortableServer::POA::~POA | ( | void |  | ) | `[protected, virtual]`

RTPortableServer::POA::POA | ( | const POA & |  | ) | `[private]`

## Member Function Documentation

RTPortableServer::POA_ptr RTPortableServer::POA::_duplicate | ( | POA_ptr | obj | ) | `[static]`

const char * RTPortableServer::POA::_interface_repository_id | ( | void |  | ) | const`[virtual]`

virtual CORBA::Boolean RTPortableServer::POA::_is_a | ( | const char * | type_id | ) | `[virtual]`

POA_ptr RTPortableServer::POA::_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

POA_ptr RTPortableServer::POA::_nil | ( | void |  | ) | `[inline, static]`

void RTPortableServer::POA::_tao_any_destructor | ( | void * |  | ) | `[static]`

void RTPortableServer::POA::_tao_release | ( | POA_ptr | obj | ) | `[static]`

POA_ptr RTPortableServer::POA::_unchecked_narrow | ( | CORBA::Object_ptr | obj | ) | `[static]`

virtual void RTPortableServer::POA::activate_object_with_id_and_priority | ( | const ::PortableServer::ObjectId & | oid,
|  | ::PortableServer::Servant | p_servant,
|  | ::RTCORBA::Priority | priority
| ) | throw ( CORBA::SystemException, ::PortableServer::POA::ServantAlreadyActive, ::PortableServer::POA::ObjectAlreadyActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

void RTPortableServer::POA::activate_object_with_id_and_priority | ( | in PortableServer::ObjectId | oid,
|  | in PortableServer::Servant | p_servant,
|  | in RTCORBA::Priority | priority
| ) | raises ( ServantAlreadyActive, ObjectAlreadyActive, WrongPolicy )

virtual ::PortableServer::ObjectId* RTPortableServer::POA::activate_object_with_priority | ( | ::PortableServer::Servant | p_servant,
|  | ::RTCORBA::Priority | priority
| ) | throw ( CORBA::SystemException, ::PortableServer::POA::ServantAlreadyActive, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

PortableServer::ObjectId RTPortableServer::POA::activate_object_with_priority | ( | in PortableServer::Servant | p_servant,
|  | in RTCORBA::Priority | priority
| ) | raises (ServantAlreadyActive, WrongPolicy)

virtual CORBA::Object_ptr RTPortableServer::POA::create_reference_with_id_and_priority | ( | const ::PortableServer::ObjectId & | oid,
|  | const char * | intf,
|  | ::RTCORBA::Priority | priority
| ) | throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

Object RTPortableServer::POA::create_reference_with_id_and_priority | ( | in PortableServer::ObjectId | oid,
|  | in CORBA::RepositoryId | intf,
|  | in RTCORBA::Priority | priority
| ) | raises (WrongPolicy)

virtual CORBA::Object_ptr RTPortableServer::POA::create_reference_with_priority | ( | const char * | intf,
|  | ::RTCORBA::Priority | priority
| ) | throw ( CORBA::SystemException, ::PortableServer::POA::WrongPolicy )`[pure virtual]`

Object RTPortableServer::POA::create_reference_with_priority | ( | in CORBA::RepositoryId | intf,
|  | in RTCORBA::Priority | priority
| ) | raises (WrongPolicy)

CORBA::Boolean RTPortableServer::POA::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

void RTPortableServer::POA::operator= | ( | const POA & |  | ) | `[private]`

The documentation for this interface was generated from the following files:

- RTPortableServer.pidl
- RTPortableServerC.h
- RTPortableServerC.cpp